LineAttributesCA = attributes LineAttributes
(
	parameters main rollout:params
	(
	)
	
	rollout params "Line Chart Options"
	(
		-- UI
		button BTN_Update "Update From CSV File"
		
		-- Methods
		on BTN_Update pressed do
		(
			
			ThePythonScript = "import MaxPlus\n"
			ThePythonScript += "import csv\n"
			ThePythonScript += "import sys\n"
			ThePythonScript += "sys.path.append('C:/Program Files/Autodesk/3ds Max 2015/python/Lib/lib-tk')\n"
			ThePythonScript += "import tkFileDialog\n"

			ThePythonScript += "TheFileToOpen = tkFileDialog.askopenfilename()\n"
			ThePythonScript += "TheCSVFile = open(TheFileToOpen, 'r')\n"
			ThePythonScript += "TheCSVContent = csv.reader(TheCSVFile)\n"

			ThePythonScript += "ThePointHelperNames = ['LinePoint_01', 'LinePoint_02', 'LinePoint_03', 'LinePoint_04', 'LinePoint_05', 'LinePoint_06', 'LinePoint_07', 'LinePoint_08', 'LinePoint_09', 'LinePoint_10']\n"
			ThePythonScript += "CurrentItem = 0\n"

			ThePythonScript += "for row in TheCSVContent:\n"

			ThePythonScript += "	for j in row:\n"
			ThePythonScript += "		TheNodeToUpdate = MaxPlus.INode.GetINodeByName(ThePointHelperNames[CurrentItem])\n"
			ThePythonScript += "		TheNodeToUpdate.SetPositionZ(float(j))\n"
			ThePythonScript += "		CurrentItem = CurrentItem+1\n"
			
			Python.execute ThePythonScript
		)
	)
)

custAttributes.add $CTRL_Edit.modifiers[1] LineAttributesCA