PieAttributesCA = attributes PieAttributes
(
	parameters main rollout:params
	(
		Value1 type:#float ui:SPN_Value1 default:100.0
		Value2 type:#float ui:SPN_Value2 default:100.0
		Color1 type:#color ui:CLR_Color1 default:[155,155,155]
		Color2 type:#color ui:CLR_Color2 default:[155,155,155]
	)
	
	rollout params "Pie Chart Options"
	(
		-- UI
		spinner SPN_Value1 "Value 1:" range:[0,100000,100] type:#float align:#right
		spinner SPN_Value2 "Value 2:" range:[0,100000,100] type:#float align:#right
		colorpicker CLR_Color1 "Color 1:" color:[155,155,155] modal:false align:#right
		colorpicker CLR_Color2 "Color 2:" color:[155,155,155] modal:false align:#right
		
		-- Methods
		on CLR_Color1 changed TheNewColor do
		(
			$Pie_1.material.diffuse = TheNewColor
		)
		
		on CLR_Color2 changed TheNewColor do
		(
			$Pie_2.material.diffuse = TheNewColor
		)	
		
		on SPN_Value1 changed NewValue do
		(
			ValueSlice = 360*(Value1/(Value1+Value2))
			TimeSlice = 50*(Value1/(Value1+Value2))
				
			$Pie_1.slicefrom.controller.keys[2].time = TimeSlice
			$Pie_1.slicefrom.controller.keys[2].value = ValueSlice
				
			$Pie_2.slicefrom.controller.keys[1].time = TimeSlice
			$Pie_2.slicefrom.controller.keys[1].value = ValueSlice
				
			$Pie_2.visibility.controller.keys[1].time = TimeSlice
			$Pie_2.visibility.controller.keys[2].time = (TimeSlice+1)
				
			$Pie_2.sliceto = ValueSlice
			
		)
		
		on SPN_Value2 changed NewValue do
		(
			
			ValueSlice = 360*(Value1/(Value1+Value2))
			TimeSlice = 50*(Value1/(Value1+Value2))
				
			$Pie_1.slicefrom.controller.keys[2].time = TimeSlice
			$Pie_1.slicefrom.controller.keys[2].value = ValueSlice
				
			$Pie_2.slicefrom.controller.keys[1].time = TimeSlice
			$Pie_2.slicefrom.controller.keys[1].value = ValueSlice
				
			$Pie_2.visibility.controller.keys[1].time = TimeSlice
			$Pie_2.visibility.controller.keys[2].time = (TimeSlice+1)
				
			$Pie_2.sliceto = ValueSlice
				
		)		
		
	)
)

custAttributes.add $CTRL_Edit.modifiers[1] PieAttributesCA